diff -u cmake-2.4.8/debian/changelog cmake-2.4.8/debian/changelog
--- cmake-2.4.8/debian/changelog
+++ cmake-2.4.8/debian/changelog
@@ -1,3 +1,13 @@
+cmake (2.4.8-1.1) unstable; urgency=low
+
+  * Non-maintainer upload with maintainer's permission.
+  * Patch FindQt4.cmake to remove checking of several libraries and further
+    linking against those libraries. This change is needed due to the clean up 
+    of dependencies of libqt4-dev, packages using it FTBFS. 
+    Patch by Sune Vuorela. (Closes: #477110)
+
+ -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 23 Apr 2008 18:47:16 +0200
+
 cmake (2.4.8-1) unstable; urgency=low
 
   [ Pierre Habouzit ]
diff -u cmake-2.4.8/debian/patches/series cmake-2.4.8/debian/patches/series
--- cmake-2.4.8/debian/patches/series
+++ cmake-2.4.8/debian/patches/series
@@ -6,0 +7 @@
+fix_FindQt4.diff
only in patch2:
unchanged:
--- cmake-2.4.8.orig/debian/patches/fix_FindQt4.diff
+++ cmake-2.4.8/debian/patches/fix_FindQt4.diff
@@ -0,0 +1,110 @@
+Index: b/Modules/FindQt4.cmake
+===================================================================
+--- a/Modules/FindQt4.cmake
++++ b/Modules/FindQt4.cmake
+@@ -1139,105 +1139,6 @@
+     SET(QT_DEFINITIONS ${QT_DEFINITIONS} -DQT_SHARED)
+   ENDIF(NOT QT_CONFIG MATCHES "static")
+   
+-  ## system png
+-  IF(QT_QCONFIG MATCHES "system-png")
+-    FIND_LIBRARY(QT_PNG_LIBRARY NAMES png)
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_PNG_LIBRARY})
+-    MARK_AS_ADVANCED(QT_PNG_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "system-png")
+-  
+-  # for X11, get X11 library directory
+-  IF(Q_WS_X11)
+-    QT_QUERY_QMAKE(QMAKE_LIBDIR_X11 "QMAKE_LIBDIR_X11")
+-  ENDIF(Q_WS_X11)
+-
+-  ## X11 SM
+-  IF(QT_QCONFIG MATCHES "x11sm")
+-    # ask qmake where the x11 libs are
+-    FIND_LIBRARY(QT_X11_SM_LIBRARY NAMES SM PATHS ${QMAKE_LIBDIR_X11})
+-    FIND_LIBRARY(QT_X11_ICE_LIBRARY NAMES ICE PATHS ${QMAKE_LIBDIR_X11})
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_X11_SM_LIBRARY} ${QT_X11_ICE_LIBRARY})
+-    MARK_AS_ADVANCED(QT_X11_SM_LIBRARY)
+-    MARK_AS_ADVANCED(QT_X11_ICE_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "x11sm")
+-  
+-  ## Xi
+-  IF(QT_QCONFIG MATCHES "tablet")
+-    FIND_LIBRARY(QT_XI_LIBRARY NAMES Xi PATHS ${QMAKE_LIBDIR_X11})
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_XI_LIBRARY})
+-    MARK_AS_ADVANCED(QT_XI_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "tablet")
+-
+-  ## Xrender
+-  IF(QT_QCONFIG MATCHES "xrender")
+-    FIND_LIBRARY(QT_XRENDER_LIBRARY NAMES Xrender PATHS ${QMAKE_LIBDIR_X11})
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_XRENDER_LIBRARY})
+-    MARK_AS_ADVANCED(QT_XRENDER_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "xrender")
+-  
+-  ## Xrandr
+-  IF(QT_QCONFIG MATCHES "xrandr")
+-    FIND_LIBRARY(QT_XRANDR_LIBRARY NAMES Xrandr PATHS ${QMAKE_LIBDIR_X11})
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_XRANDR_LIBRARY})
+-    MARK_AS_ADVANCED(QT_XRANDR_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "xrandr")
+-  
+-  ## Xcursor
+-  IF(QT_QCONFIG MATCHES "xcursor")
+-    FIND_LIBRARY(QT_XCURSOR_LIBRARY NAMES Xcursor PATHS ${QMAKE_LIBDIR_X11})
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_XCURSOR_LIBRARY})
+-    MARK_AS_ADVANCED(QT_XCURSOR_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "xcursor")
+-  
+-  ## Xinerama
+-  IF(QT_QCONFIG MATCHES "xinerama")
+-    FIND_LIBRARY(QT_XINERAMA_LIBRARY NAMES Xinerama PATHS ${QMAKE_LIBDIR_X11})
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_XINERAMA_LIBRARY})
+-    MARK_AS_ADVANCED(QT_XINERAMA_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "xinerama")
+-  
+-  ## Xfixes
+-  IF(QT_QCONFIG MATCHES "xfixes")
+-    FIND_LIBRARY(QT_XFIXES_LIBRARY NAMES Xfixes PATHS ${QMAKE_LIBDIR_X11})
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_XFIXES_LIBRARY})
+-    MARK_AS_ADVANCED(QT_XFIXES_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "xfixes")
+-  
+-  ## system-freetype
+-  IF(QT_QCONFIG MATCHES "system-freetype")
+-    FIND_LIBRARY(QT_FREETYPE_LIBRARY NAMES freetype)
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_FREETYPE_LIBRARY})
+-    MARK_AS_ADVANCED(QT_FREETYPE_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "system-freetype")
+-  
+-  ## fontconfig
+-  IF(QT_QCONFIG MATCHES "fontconfig")
+-    FIND_LIBRARY(QT_FONTCONFIG_LIBRARY NAMES fontconfig)
+-    SET(QT_GUI_LIB_DEPENDENCIES ${QT_GUI_LIB_DEPENDENCIES} ${QT_FONTCONFIG_LIBRARY})
+-    MARK_AS_ADVANCED(QT_FONTCONFIG_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "fontconfig")
+-  
+-  ## system-zlib
+-  IF(QT_QCONFIG MATCHES "system-zlib")
+-    FIND_LIBRARY(QT_ZLIB_LIBRARY NAMES z)
+-    SET(QT_CORE_LIB_DEPENDENCIES ${QT_CORE_LIB_DEPENDENCIES} ${QT_ZLIB_LIBRARY})
+-    MARK_AS_ADVANCED(QT_ZLIB_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "system-zlib")
+-  
+-  ## glib
+-  IF(QT_QCONFIG MATCHES "glib")
+-    # Qt less than Qt 4.2.0 doesn't use glib
+-    # Qt 4.2.0 uses glib-2.0 (wish we could ask Qt that it uses 2.0)
+-    FIND_LIBRARY(QT_GLIB_LIBRARY NAMES glib-2.0)
+-    FIND_LIBRARY(QT_GTHREAD_LIBRARY NAMES gthread-2.0)
+-    IF(QT_GTHREAD_LIBRARY AND QT_GLIB_LIBRARY)  #TEMP: need more robust find of glib2
+-      SET(QT_CORE_LIB_DEPENDENCIES ${QT_CORE_LIB_DEPENDENCIES}
+-        ${QT_GTHREAD_LIBRARY} ${QT_GLIB_LIBRARY})
+-    ENDIF(QT_GTHREAD_LIBRARY AND QT_GLIB_LIBRARY)
+-    MARK_AS_ADVANCED(QT_GLIB_LIBRARY)
+-    MARK_AS_ADVANCED(QT_GTHREAD_LIBRARY)
+-  ENDIF(QT_QCONFIG MATCHES "glib")
+-  
+   ## clock-monotonic, just see if we need to link with rt
+   IF(QT_QCONFIG MATCHES "clock-monotonic")
+     SET(CMAKE_REQUIRED_LIBRARIES_SAVE ${CMAKE_REQUIRED_LIBRARIES})
